Package ru.bitel.bgbilling.plugins.edo.common.bean

# Class ExtDocument

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.plugins.edo.common.bean.ExtDocument

All Implemented Interfaces:
  `Serializable`, `Idable`

public class ExtDocument extends Id
Документ который был отправлен в ЭДО

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExtDocument()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getBillId()`
  `String`
  `getBillingDocTitle()`
  `int`
  `getBillModuleId()`
  `int`
  `getContractId()`
  `String`
  `getContractTitleComment()`
  `Date`
  `getDate()`
  `int`
  `getDocumentId()`
  `int`
  `getDocumentTypeId()`
  `String`
  `getDocumentTypeTitle()`
  `String`
  `getExtId()`
  `String`
  `getExtLink()`
  `String`
  `getExtTitle()`
  `int`
  `getInvoiceId()`
  `String`
  `getMessage()`
  `int`
  `getSignatoryId()`
  `String`
  `getSignatoryTitle()`
  `int`
  `getUserId()`
  `void`
  `setBillId(int billId)`
  `void`
  `setBillingDocTitle(String billingDocTitle)`
  `void`
  `setBillModuleId(int billModuleId)`
  `void`
  `setContractId(int contractId)`
  `void`
  `setContractTitleComment(String contractTitleComment)`
  `void`
  `setDate(Date date)`
  `void`
  `setDocumentId(int documentId)`
  `void`
  `setDocumentTypeId(int documentTypeId)`
  `void`
  `setDocumentTypeTitle(String documentTypeTitle)`
  `void`
  `setExtId(String extId)`
  `void`
  `setExtLink(String extLink)`
  `void`
  `setExtTitle(String extTitle)`
  `void`
  `setInvoiceId(int invoiceId)`
  `void`
  `setMessage(String message)`
  `void`
  `setSignatoryId(int signatoryId)`
  `void`
  `setSignatoryTitle(String signatoryTitle)`
  `void`
  `setUserId(int userId)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ExtDocument

    public ExtDocument()

- ## Method Details

  - ### getDocumentTypeId

    public int getDocumentTypeId()

  - ### setDocumentTypeId

    public void setDocumentTypeId(int documentTypeId)

  - ### getSignatoryId

    public int getSignatoryId()

  - ### setSignatoryId

    public void setSignatoryId(int signatoryId)

  - ### getBillId

    public int getBillId()

  - ### setBillId

    public void setBillId(int billId)

  - ### getInvoiceId

    public int getInvoiceId()

  - ### setInvoiceId

    public void setInvoiceId(int invoiceId)

  - ### getExtLink

    public String getExtLink()

  - ### setExtLink

    public void setExtLink(String extLink)

  - ### getExtTitle

    public String getExtTitle()

  - ### setExtTitle

    public void setExtTitle(String extTitle)

  - ### getExtId

    public String getExtId()

  - ### setExtId

    public void setExtId(String extId)

  - ### getDate

    public Date getDate()

  - ### setDate

    public void setDate(Date date)

  - ### getUserId

    public int getUserId()

  - ### setUserId

    public void setUserId(int userId)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId(int contractId)

  - ### getContractTitleComment

    public String getContractTitleComment()

  - ### setContractTitleComment

    public void setContractTitleComment(String contractTitleComment)

  - ### getBillingDocTitle

    public String getBillingDocTitle()

  - ### setBillingDocTitle

    public void setBillingDocTitle(String billingDocTitle)

  - ### getDocumentTypeTitle

    public String getDocumentTypeTitle()

  - ### setDocumentTypeTitle

    public void setDocumentTypeTitle(String documentTypeTitle)

  - ### getSignatoryTitle

    public String getSignatoryTitle()

  - ### setSignatoryTitle

    public void setSignatoryTitle(String signatoryTitle)

  - ### getBillModuleId

    public int getBillModuleId()

  - ### setBillModuleId

    public void setBillModuleId(int billModuleId)

  - ### getDocumentId

    public int getDocumentId()

  - ### setDocumentId

    public void setDocumentId(int documentId)

  - ### getMessage

    public String getMessage()

  - ### setMessage

    public void setMessage(String message)